%global srcname p1_utils


Name:       erlang-%{srcname}
Version:    1.0.15
Release:    1%{?dist}
BuildArch:  noarch

License:    ASL 2.0
Summary:    Erlang utility modules from ProcessOne
URL:        https://github.com/processone/p1_utils/
Source0:    https://github.com/processone/p1_utils/archive/%{version}/p1_utils-%{version}.tar.gz
Patch1:     erlang-p1_utils-0001-Don-t-use-function-from-Ejabberd.patch

BuildRequires: erlang-rebar


%description
p1_utils is an application containing ProcessOne modules and tools that are
leveraged in other development projects.


%prep
%autosetup -p1 -n %{srcname}-%{version}
# This file was 755 upstream, which causes an rpmlint warning. This pull request has
# been created to fix the issue upstream:
# https://github.com/processone/p1_utils/pull/4
chmod 0644 doc/style.css

# https://github.com/processone/p1_utils/pull/7
sed -i "/.*Created.*/d" src/p1_options.erl


%build
%{rebar_compile}
%{rebar_doc}


%check
%{rebar_eunit}


%install
%{erlang_install}


%files
%license LICENSE.txt
%doc CHANGELOG.md
%doc doc
%doc README.md
%{erlang_appdir}


%changelog
* Wed Jun 05 2019 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.15-1
- Update to 1.0.15 (#1713425).
- https://github.com/processone/p1_utils/blob/1.0.15/CHANGELOG.md

* Sat Apr 13 2019 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.14-1
- Update to 1.0.14 (#1683182).
- https://github.com/processone/p1_utils/blob/1.0.14/CHANGELOG.md

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Oct 14 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.13-1
- Update to 1.0.13.
- https://github.com/processone/p1_utils/blob/1.0.12/CHANGELOG.md

* Sun Jul 29 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.12-1
- Update to 1.0.12 (#1596212).
- https://github.com/processone/p1_utils/blob/1.0.12/CHANGELOG.md

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Mar 27 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.11-1
- Update to 1.0.11 (#1559854).
- https://github.com/processone/p1_utils/blob/1.0.11/CHANGELOG.md

* Sun Mar 25 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.10-3
- Convert to a noarch package.

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild
